/* Cart Page Base Styles */

.ast-container{
    padding-left: 40px;
    padding-right: 40px;
    box-sizing: content-box;
}

/* Cart table header image column */
.wp-block-woocommerce-cart th.wc-block-cart-items__header-image {
    text-align: left;
    /* padding-left: 10px; */
}

/* Header total column */
.wp-block-woocommerce-cart .wc-block-cart-items__header-total {
    padding-right: 0 !important;
}

/* Item total column */
.wp-block-woocommerce-cart .wc-block-cart-item__total {
    padding-right: 0 !important;
}

/* Product image cell */
.wp-block-woocommerce-cart td.wc-block-cart-item__image {
    width: 150px;
    padding-left: 0 !important;
}

/* Product image */
.wp-block-woocommerce-cart td.wc-block-cart-item__image img {
    width: 150px;
    height: 150px;
    object-fit: contain;
    background-color: #F5F6F6;
    border-radius: 10px;
}

/* Hide product metadata */
.wp-block-woocommerce-cart .wc-block-components-product-metadata {
    display: block;
}

/* CART HEADER */

.wp-block-woocommerce-cart 
.wc-block-cart-items__header .wc-block-cart-items__header-image,
.wp-block-woocommerce-cart 
.wc-block-cart-items__header-total,
.wp-block-woocommerce-cart 
.wc-block-cart__totals-title {
    font-weight: 600 !important;
    font-size: 14px !important;
    text-transform: capitalize !important;
    padding: 0 0 15px 0 !important;
	height: 40px !important
}

/* CART TABLE ROWS */

.wp-block-woocommerce-cart 
.wc-block-cart__main .wc-block-cart-items td {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    border-top: 1px solid #cccccc !important;
}
.wp-block-woocommerce-cart 
.wc-block-cart__main .wc-block-cart-items{
	border-bottom: 1px solid #cccccc !important
}

/* PRODUCT NAME & PRICE */

.wp-block-woocommerce-cart 
.wc-block-components-product-name,
.wp-block-woocommerce-cart 
.wc-block-components-product-price__value {
    color: #000000 !important;
    font-size: 14px !important;
    font-weight: 600 !important;
    text-transform: capitalize !important;
}

/*  QUANTITY LAYOUT */

.wp-block-woocommerce-cart 
.wc-block-cart-item__product 
.wc-block-cart-item__quantity {
    display: flex !important;
    flex-direction: row !important;
	align-items: center;
    gap: 10px !important;
}

/* COUPON & TOTALS */

.wp-block-woocommerce-cart 
.wp-block-woocommerce-cart-order-summary-coupon-form-block 
.wc-block-components-totals-wrapper {
    border-top: 1px solid #cccccc !important;
    border-bottom: 1px solid #cccccc !important;
    padding: 15px 0 !important;
}

.wp-block-woocommerce-cart 
.wp-block-woocommerce-cart-order-summary-totals-block {
    border-top: 1px solid #cccccc !important;
    padding: 15px 0 !important;
    display: flex !important;
    flex-direction: column !important;
    gap: 10px !important;
}

.wp-block-woocommerce-cart 
.wp-block-woocommerce-cart-order-summary-totals-block 
.wc-block-components-totals-wrapper {
    padding-top: 0 !important;
    border-top: none !important;
}

/* TOTALS TEXT */

.wp-block-woocommerce-cart 
.wc-block-components-totals-footer-item 
.wc-block-components-totals-item__label,
.wp-block-woocommerce-cart 
.wc-block-components-totals-footer-item 
.wc-block-components-totals-item__value {
    font-size: 14px !important;
    font-weight: 600 !important;
    text-transform: capitalize !important;
    color: #000000 !important;
}

/* TOTALS WRAPPER */

.wp-block-woocommerce-cart 
.wc-block-components-totals-wrapper {
    border-top: none !important;
    padding: 0 !important;
}

/* PANEL BUTTON */

.wp-block-woocommerce-cart 
.wc-block-components-panel__button {
    border-top: 1px solid #cccccc !important;
    padding: 15px 0 !important;
}
.wp-block-woocommerce-cart .wc-block-components-panel__button{
	font-size: 12px !important;
}

.wp-block-woocommerce-cart .wc-block-components-text-input.is-active label, .wp-block-woocommerce-checkout .wc-block-components-text-input.is-active label{
	  top: -9px;
    background: #ffffff;
    padding: 0 5px;
}
.wp-block-woocommerce-cart
.wc-block-components-totals-coupon__form{
	gap: 10px !important;
		padding-bottom: 15px !important;
}

.wp-block-woocommerce-cart
#wc-block-components-totals-coupon__input-coupon{
	padding: 12px 3px 12px 22px !important;
	border-radius: 10px !important
}

.wp-block-woocommerce-cart 
.wc-block-components-panel__button[aria-expanded="true"] {
    padding: 15px 0 0 0 !important;
}

.wp-block-woocommerce-cart 
.wc-block-components-panel__button-icon {
    font-size: 12px !important;
}
.wp-block-woocommerce-cart
.wc-block-components-totals-item__label, .wc-block-formatted-money-amount.wc-block-components-formatted-money-amount.wc-block-components-totals-item__value{
	 font-size: 12px !important;
}
/* FOOTER TOTALS */

.wp-block-woocommerce-cart 
.wc-block-components-totals-wrapper 
.wc-block-components-totals-item.wc-block-components-totals-footer-item {
    border-top: 1px solid #cccccc !important;
    border-bottom: 1px solid #cccccc !important;
    padding: 15px 0 !important;
}

/* ORDER SUMMARY FIX */

.wp-block-woocommerce-cart 
.wc-block-cart 
.wp-block-woocommerce-cart-order-summary-block {
    border-bottom: none !important;
}

/* REMOVE LINK */

.wp-block-woocommerce-cart 
.wc-block-cart-item__remove-link {
    font-size: 14px !important;
    font-weight: 400 !important;
}

.mu-price del .woocommerce-Price-amount.amount bdi {
    color: grey;
}

/* for prodcut archive page in on hover add to cart display none set  */

body.archive.woocommerce 
.ast-on-card-button {
    display: none !important;
}

body.archive.woocommerce.products elementor-grid.columns-3 {
	padding-top: 20px !important;
}

body.archive.woocommerce.columns-3{
	margin-top: 20px !important;
}

body.archive.woocommerce.woocommerce-ordering{
	padding-top: 0px !important;
}

body.archive.woocommerce-js .woocommerce-result-count{
	margin: 0px !important;
	padding-top: 7px !important;
}

body.archive .woocommerce.columns-3{
	margin-top: 20px !important;
}

body.archive .astra-shop-thumbnail-wrap{
	display: flex;
	flex-direction: column;
	height: 100%;
	justify-content: space-between;
}

@media(max-width: 780px){
    .ast-container{
        padding: 40px 20px !important;
        pading-bottom: 0px !important
    }
    .wp-block-woocommerce-cart .wc-block-cart-items__row{
        /*grid-template-columns: 1fr;*/
        /*gap: 10px;*/
        grid-template-columns: 100px 1fr 1fr 0.5fr !important;
        gap: 16px !important;
        border-top: 1px solid #cccccc !important;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }
    
    .wp-block-woocommerce-cart td.wc-block-cart-item__image img{
        width: 100px !important;
        height: 100px;
    }
    
    .wp-block-woocommerce-cart .wc-block-cart__main .wc-block-cart-items{
        border-bottom: none !important;
    }
    .wp-block-woocommerce-cart .wc-block-cart__main .wc-block-cart-items td{
        border: none !important;
    }
    
   .elementor-element.elementor-element-495de89.elementor-widget.elementor-widget-text-editor{
       /*height: 100vh !important;*/
   }
   
   .wc-block-cart-items__header{
       display: flex !important;
       justify-content: space-between !important;
   }
   
   /*.elementor-element.elementor-element-495de89.elementor-widget.elementor-widget-text-editor{*/
   /*    height: 100vh !important;*/
   /*}*/
   
   .wc-block-components-validation-error{
       padding-bottom: 20px;
   }
   
}

@media(min-width: 739px) and (max-width: 780px){
    .wc-block-components-sidebar-layout.wc-block-cart.wp-block-woocommerce-filled-cart-block.is-large{
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
    
    .wc-block-components-sidebar.wc-block-cart__sidebar.wp-block-woocommerce-cart-totals-block{
        width: 100%;
    }
    
    .wp-block-woocommerce-cart .wc-block-cart-items__row{
        display: flex;
        justify-content: space-between;
    }
    
    .wp-block-woocommerce-cart td.wc-block-cart-item__image img{
        width: 150px !important;
        height: 150px !important;
    }
    
    .wc-block-components-main.wc-block-cart__main.wp-block-woocommerce-cart-items-block{
        width: 100%;    
    }
    
    .wc-block-cart-item__product{
        width: 61%;
    }
    
    .wp-block-woocommerce-cart-order-summary-heading-block.wc-block-cart__totals-title{
        display: none !important;
    }
}

@media(max-width: 1200px){
    .ast-container{
        padding-top: 40px;
        padding-bottom: 40px;
    }
}